db4o |

# MemoryIoAdapter Methods

The methods of the MemoryIoAdapter class are listed below. For a complete list of MemoryIoAdapter class members, see the MemoryIoAdapter Members topic.

#### Public Instance Methods

BlockCopy (inherited from IoAdapter) | copies a block within a file in block mode
BlockSeek (inherited from IoAdapter) | Overloaded. sets the read/write pointer in the file using block mode
BlockSize (inherited from IoAdapter) | Overloaded. outside call to set the block size of this adapter
Close | for internal processing only.
Copy (inherited from IoAdapter) | copies a block within a file in absolute mode
Delete |
Equals (inherited from Object) |
Exists | for internal processing only.
Get | returns the content bytes for a database with the given name.
GetHashCode (inherited from Object) |
GetLength | for internal processing only.
GetType (inherited from Object) |
GrowBy | configures the length a memory file should grow, if no more free slots are found within.
Open | for internal processing only.
Put | creates an in-memory database with the passed content bytes and adds it to the adapter for the specified name.
Read | Overloaded. for internal processing only.
Read (inherited from IoAdapter) | Overloaded. reads a buffer at the seeked address
Seek | for internal processing only.
Sync | for internal processing only.
ToString (inherited from Object) |
Write | Overloaded. for internal processing only.
Write (inherited from IoAdapter) | Overloaded. writes a buffer to the seeked address

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
RegularAddress (inherited from IoAdapter) | converts address and address offset to an absolute address

#### See Also

MemoryIoAdapter Class | com.db4o.io Namespace